\version "2.4.2"

\header {
        title= "Away, away thou shalt not love me"
        composer= "John Willbye"
        subtitle= "From the First set of English Madrigals... 1598"
        copyright= " \copyright   2005  by Anders Stenberg under the CPDL license."
    }

\include "awaycant.ly"
\include "awayalt.ly"
\include "awaybass.ly"
global = {
       % incipit
       \once \override Score.SystemStartBracket #'transparent = ##t
       \key c \major
       \time 4/4
       \once \override Staff.TimeSignature #'style = #'neomensural
       \override Voice.NoteHead #'style = #'neomensural
       \override Voice.Rest #'style = #'neomensural
       \set Staff.printKeyCancellation = ##f
       \cadenzaOn % turn off bar lines
       \skip 1*2
       \once \override Staff.BarLine #'transparent = ##f
       \bar "||"
       \skip 1*1 % need this extra \skip such that clef change comes
                 % after bar line
       \bar ""

       % main
       \cadenzaOff % turn bar lines on again

       \once \override Staff.Clef #'full-size-change = ##t
       \set Staff.forceClef = ##t
       \key c \major
       \time 2/2
       \override Voice.NoteHead #'style = #'default
       \override Voice.Rest #'style = #'default

       % FIXME: setting printKeyCancellation back to #t must not
       % occur in the first bar after the incipit.  Dto. for forceClef.
       % Therefore, we need an extra \skip.
       \skip 1*1
       \set Staff.printKeyCancellation = ##t
       \set Staff.forceClef = ##f

       \skip 1*51

       % last bar contains a longa (i.e., spans 4 bars);
       % therefore do not draw this particular bar
       \cadenzaOn
       \skip 1*4
       \cadenzaOff

       % let finis bar go through all staves
       \override Staff.BarLine #'transparent = ##f

       % finis bar
       \bar "|."
     }

\score{
        \context StaffGroup = choirStaff <<
         \context Voice =
           cantus << \global \cantus >>
         \context Lyrics =
           cantusText \lyricsto cantus { \cantusText }
         \context Voice =
           altus << \global  \altus >>
         \context Lyrics =
           altusText \lyricsto altus { \altusText }
         \context Voice =
           bassus <<  \global \bassus >>
         \context Lyrics =
           bassusText \lyricsto bassus { \bassusText }
       >>


  \layout {
         \context {
           \Score
           \override BarLine #'transparent = ##t
           \remove "System_start_delimiter_engraver"
         }
%         \context {
%           \Voice
          % \override Slur #'transparent = ##t
%         }
       }
}

%for midi remove % marks below. To get midi sans the incipit
%disable incipits by by adding % marks to incipit in the part-files.


%\score { <<
%            \new Staff {\set Staff.midiInstrument = "choir aahs" \cantus}
%           \new Staff {\set Staff.midiInstrument = "choir aahs" \altus}
%            \new Staff {\set Staff.midiInstrument = "choir aahs" \bassus}
%            >>
%    \midi { \tempo 2= 76 }

%    }
